#
# spec file for package pam_apparmor (Version 2.0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapparmor libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pam_apparmor
BuildRequires:  libapparmor pam-devel
License:        GNU General Public License (GPL)
Group:          Productivity/Security
Autoreqprov:    on
Version:        2.0.1
Release:        5.6
Summary:        PAM module to add AppArmor change_hat functionality to session-aware applications
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
Source:         pam_apparmor-%{version}-203.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libapparmor pam-devel
Requires:       pam
Prereq:         pam

%description
The pam_apparmor module provides the means for any PAM applications
that call pam_open_session() to automatically perform an AppArmor
change_hat operation in order to switch to a user-specific security
policy.



Authors:
--------
    jmichael@suse.de
    sbeattie@suse.de

%debug_package
%prep
%setup -q

%build
make CFLAGS="${RPM_OPT_FLAGS}"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT} SECDIR=${RPM_BUILD_ROOT}/%{_lib}/security

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(444,root,root,755)
%doc README COPYING
%attr(555,root,root) /%{_lib}/security/pam_apparmor.so

%changelog
* Fri Jan 12 2007 - sbeattie@suse.de
- submit version from stable for SLE10-SP1 (fate 300510)
  (issues raised in the fate entry have been addressed)
* Tue Oct 31 2006 - jmichael@suse
- Add debug option
* Tue Oct 31 2006 - sbeattie@suse
- Add configuration options to order attempted hat changes
* Wed Oct 25 2006 - sbeattie@suse
- remove auto-editing of pam's common-session
- honor RPM's CFLAGS when building
- add license (same as Linux PAM package).
* Thu Sep 14 2006 - jmichael@suse
- header comment was incorrect
- use pam_get_user() instead of pam_get_item()
- fix read from urandom if 0
* Fri Jan 13 2006 - sbeattie@suse
- Add svn repo number to tarball
* Fri Jan 13 2006 - jmichael@suse
- Make magic tokens harder to guess by pulling them from /dev/urandom
* Wed Dec 21 2005 - jmichael@suse.de
- initial
